#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define		pdir	threads
Summary:	threads - Perl interpreter-based threads
Name:		perl-threads
Version:	2.21
Release:	6
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/J/JD/JDHEDDEN/threads-%{version}.tar.gz
# Source0-md5:	45fa009703074f0b0b0d036cb23706e3
URL:		http://search.cpan.org/dist/threads/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Since Perl 5.8, thread programming has been available using a model
called interpreter threads which provides a new Perl interpreter for
each thread, and, by default, results in no data or state information
being shared between threads.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/threads.pm
%dir %{perl_vendorarch}/auto/threads
%attr(755,root,root) %{perl_vendorarch}/auto/threads/threads.so
%{_mandir}/man3/threads.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-threads.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> e2142cf
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 491fe5b
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 8c699fb
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 3a6ead2
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> d645383
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 343eea2
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Thu Nov 01 2018 Adam Gołębiowski <adamg@pld-linux.org> 9674527
- update to 2.21

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 4953c4a
- rebuild with perl 5.28.0
- release 2 (by relup.sh)

* Sun Oct 29 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 3aa29ff
- up to 2.16

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 215ee44
- perl req/prov fix
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> ab6d565
- rebuild with perl 5.26
- release 4 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 312da76
- rebuild with perl 5.24.0
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> bb42ab5
- release 2 (by relup.sh)

* Thu Jun 11 2015 Elan Ruusamäe <glen@delfi.ee> 920665c
- no examples subdir, verbose files

* Wed Jun 10 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 7a1f11c
- initial

